ru.bitel.bgbilling.modules.voice.api.common.service

## Interface VoiceLogManagementService

-     public interface VoiceLogManagementService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `voiceAddProcessLogs(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `void` | `voiceAddRadiusProcessLogs(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `void` | `voiceDeleteProcessLogs(java.lang.Integer deviceId, java.util.List<java.util.Date> days)`
    `Result<?>` | `voiceLogExist(java.lang.Integer deviceId, java.util.Date month)`
    `java.util.List<VoiceProcessLog>` | `voiceLogLoaded(java.lang.Integer deviceId, java.util.Date month)`
    `java.util.List<DataProcessRecord>` | `voiceLogLoading(java.lang.Integer deviceId, java.util.Date month)`
    `Result<?>` | `voiceRadiusLogExist(java.lang.Integer deviceId, java.util.Date month)`

- - ### Method Detail

    - #### voiceLogExist

          Result<?> voiceLogExist(java.lang.Integer deviceId,
                                  java.util.Date month)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceRadiusLogExist

          Result<?> voiceRadiusLogExist(java.lang.Integer deviceId,
                                        java.util.Date month)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceLogLoading

          java.util.List<DataProcessRecord> voiceLogLoading(java.lang.Integer deviceId,
                                                            java.util.Date month)
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceLogLoaded

          java.util.List<VoiceProcessLog> voiceLogLoaded(java.lang.Integer deviceId,
                                                         java.util.Date month)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAddProcessLogs

          void voiceAddProcessLogs(java.lang.Integer deviceId,
                                   java.util.List<java.util.Date> days)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceAddRadiusProcessLogs

          void voiceAddRadiusProcessLogs(java.lang.Integer deviceId,
                                         java.util.List<java.util.Date> days)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### voiceDeleteProcessLogs

          void voiceDeleteProcessLogs(java.lang.Integer deviceId,
                                      java.util.List<java.util.Date> days)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`